#define MYOS CRUX

#define ALPINE        1
#define ARCH          2
#define ARTIX         3
#define CRUX          4
#define DEBIAN        5
#define DEVUAN        6
#define FREEBSD       7
#define GENTOO        8
#define NETBSD        9
#define OPENBSD      10
#define OPENINDIANA  11
#define POSTMARKETOS 12
#define VOID         13

#if MYOS == ALPINE
  #include "logos/alpine.h"
#elif MYOS == ARCH
  #include "logos/arch.h"
#elif MYOS == ARTIX
  #include "logos/artix.h"
#elif MYOS == CRUX
  #include "logos/crux.h"
#elif MYOS == DEBIAN
  #include "logos/debian.h"
#elif MYOS == DEVUAN
  #include "logos/devuan.h"
#elif MYOS == FREEBSD
  #include "logos/freebsd.h"
#elif MYOS == GENTOO
  #include "logos/gentoo.h"
#elif MYOS == NETBSD
  #include "logos/netbsd.h"
#elif MYOS == OPENBSD
  #include "logos/openbsd.h"
#elif MYOS == OPENINDIANA
  #include "logos/openindiana.h"
#elif MYOS == POSTMARKETOS
  #include "logos/postmarketos.h"
#elif MYOS == VOID
  #include "logos/void.h"
#else
  #include "logos/linux.h"
#endif

#define CONFIG \
{ \
   /* name            function                 cached */\
    SPACER \
    { "",             get_title,               false }, \
    { "",             get_bar,                 false }, \
    { "OS: ",         get_os,                  true  }, \
    { "Host: ",       get_host,                true  }, \
    { "Kernel: ",     get_kernel,              true  }, \
    { "Uptime: ",     get_uptime,              false }, \
    { "Packages: ",   get_packages,          false }, \
    { "Shell: ",      get_shell,             false }, \
    { "Resolution: ", get_resolution,        false }, \
    { "WM: ",         get_wm,                false }, \
    { "Terminal: ",   get_terminal,          false }, \
    { "CPU: ",        get_cpu,                 true  }, \
    { "GPU: ",        get_gpu1,                true }, \
    { "Memory: ",     get_memory,              false }, \
    SPACER \
    { "",             get_colors1,             false }, \
    { "",             get_colors2,             false }, \
}

#define CPU_CONFIG \
{ \
  REMOVE("(R)"), \
  REMOVE("(TM)"), \
  REMOVE("Dual-Core"), \
  REMOVE("Quad-Core"), \
  REMOVE("Six-Core"), \
  REMOVE("Eight-Core"), \
  REMOVE("2-Core"), \
  REMOVE("3-Core"), \
  REMOVE("4-Core"), \
  REMOVE("6-Core"), \
  REMOVE("8-Core"), \
  REMOVE("12-Core"), \
  REMOVE("Processor"), \
  REMOVE("CPU"), \
}

#define GPU_CONFIG \
{ \
  REMOVE("Advanced Micro Devices, Inc."), \
  REPLACE(" [AMD/ATI]", "AMD/ATI"), \
  REMOVE("Corporation"), \
  REMOVE("Controller"), \
  REMOVE("Graphics"), \
  REMOVE("Integrated"), \
  REMOVE("Navi 14"), \
  REMOVE("["), \
  REMOVE("]"), \
}
