#!/bin/sh

PACKAGEMANAGER="不明"
PACKAGECOUNT="0"
unamestr=$(uname)

if wc -v >/dev/null 2>&1; then
  WC_COMMAND="wc -ln"
else
  WC_COMMAND="wc -l'"
fi

if [ "$unamestr" = 'Linux' ]; then
  platform=$(cat /etc/os-release | grep "^ID=" | sed -e "s/ID=//")
  if [ "$platform" = 'alpine' ] || [ "$platform" = 'postmarketos' ]; then
    PACKAGEMANAGER="apk"
    PACKAGECOUNT=$(apk info -I | $WC_COMMAND)
  elif [ "$platform" = 'arch' ] || [ "$platform" = 'artix' ]; then
    PACKAGEMANAGER="pacman"
    PACKAGECOUNT=$(pacman -Qq | $WC_COMMAND)
  elif [ "$platform" = 'crux' ]; then
    PACKAGEMANAGER="pkginfo"
    PACKAGECOUNT=$(pkginfo -i | $WC_COMMAND)
  elif [ "$platform" = 'debian' ] || [ "$platform" = 'devuan' ]; then
    PACKAGEMANAGER="dpkg-query"
    PACKAGECOUNT=$(dpkg-query -f '.\n' -W | $WC_COMMAND)
  elif [ "$platform" = 'gentoo' ]; then
    PACKAGEMANAGER="qlist"
    PACKAGECOUNT=$(qlist -IC | $WC_COMMAND)
  elif [ "$platform" = 'void' ]; then
    PACKAGEMANAGER="xbps-query"
    PACKAGECOUNT=$(xbps-query -l | $WC_COMMAND)
  fi
elif [ "$unamestr" = 'FreeBSD' ]; then
  PACKAGEMANAGER="pkg"
  PACKAGECOUNT=$(pkg info -a | $WC_COMMAND)
elif [ "$unamestr" = 'OpenBSD' ]; then
  PACKAGEMANAGER="pkg_info"
  PACKAGECOUNT=$(pkg_info | $WC_COMMAND)
elif [ "$unamestr" = 'NetBSD' ]; then
  PACKAGEMANAGER="pkg_info"
  PACKAGECOUNT=$(pkg_info -a | $WC_COMMAND)
elif [ "$unamestr" = 'SunOS' ]; then
  PACKAGEMANAGER="pkg"
  PACKAGECOUNT=$(pkg list | $WC_COMMAND)
fi

echo "PACKAGES='\"$PACKAGECOUNT ($PACKAGEMANAGER)\"'"
